# $Revision: 1.46 $, $Date: 2009/02/22 10:31:43 $
Summary:	Xdialog - replacement for the dialog program
Summary(pl.UTF-8):	Xdialog - zamiennik dla programu cdialog
Name:		Xdialog
Version:	2.3.1
Release:	2
License:	GPL v2
Group:		X11/Applications
Source0:	http://xdialog.free.fr/%{name}-%{version}.tar.bz2
# Source0-md5:	0671f8353717513bf1f0ebc80e9710f6
Patch0:		%{name}-configure.patch
URL:		http://xdialog.dyns.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 1:2.2.0
BuildRequires:	pkgconfig
Provides:	xdialog
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Xdialog is designed to be a drop in replacement for the cdialog
program. It converts any terminal based program into a program with an
X Window interface. The dialogs are easier to see and use and Xdialog
adds even more functionalities (help button+box, treeview, editbox,
file selector, range box, and much more).

%description -l pl.UTF-8
Xdialog jest zaprojektowany by być odpowiednikiem, zamiennikiem dla
programu cdialog. Dzięki niemu dowolny terminalowy program używający
dialogu można zamienić w program z interfejsem X Window.

%prep
%setup -q
%patch0 -p1

%build
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	doc_DATA=

mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{no_NO,nb}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/sv{_SE,}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog README doc/*.{html,png} samples/
%attr(755,root,root) %{_bindir}/Xdialog
%{_mandir}/man1/Xdialog.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Xdialog.spec,v $
Revision 1.46  2009/02/22 10:31:43  arekm
- release 2

Revision 1.45  2007/12/14 18:16:00  qboosh
- updated to 2.3.1
- new Source0 URL

Revision 1.44  2007-10-09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.43  2007/02/12 21:23:45  glen
- tabs in preamble

Revision 1.42  2007/02/12 00:48:35  baggins
- converted to UTF-8

Revision 1.41  2006/08/19 18:18:10  jackass
- typo

Revision 1.40  2006/05/08 01:18:39  charles
- updated to 2.2.1

Revision 1.39  2006/03/20 10:30:46  qboosh
- gtk+2 version, BR: pkgconfig

Revision 1.38  2006/03/20 04:08:51  aredridel
- build with gtk2

Revision 1.37  2006/03/01 08:57:29  darekr
- updated to 2.2.0

Revision 1.36  2005/12/30 23:44:13  ankry
- locale fixes, rel. 3

Revision 1.35  2005/04/13 19:55:51  darekr
- killed NEWS from %doc (it's symlink to ChangeLog)

Revision 1.34  2005/04/11 16:52:41  charles
- added Provides: xdialog (in RH and FC)
- rel. 2

Revision 1.33  2004/10/16 15:07:19  paladine
- spelling fix

Revision 1.32  2004/08/31 17:04:41  darekr
- updated to 2.1.2
- remove Xdialog-po.patch
- add Xdialog-configure.patch (add AC_PROG_RANLIB in configure.in)

Revision 1.31  2004/05/29 09:26:14  qboosh
- use standard prefix, added po patch, no_NO->nb, fixed build

Revision 1.30  2004/05/28 22:56:31  arekm
- 2.1.1

Revision 1.29  2003/08/02 09:27:26  gotar
- fixed polish description,
- fixed X Window System spelling.

Revision 1.28  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.27  2003/05/25 05:45:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2002/10/09 13:14:15  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.25  2002/07/28 16:45:08  kloczek
- updated to 2.0.6 (bugfixes),
- updated Source url and URL.

Revision 1.24  2002/06/19 09:04:52  kloczek
- release 2: use new %doc.

Revision 1.23  2002/05/21 23:12:39  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.22  2002/03/24 23:28:13  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.21  2002/02/22 23:28:39  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/01/18 02:12:16  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2002/01/10 23:00:20  kloczek
- updated to 2.0.5 (bugfix release).

Revision 1.18  2001/12/11 04:54:33  kloczek
- updated to 2.0.4 (bug fixes, improvement and more translations),
- removed perl-modules from Requires,
- added "rm -f missing" on top %build.

Revision 1.17  2001/10/25 07:08:00  kloczek
- release 3.

Revision 1.16  2001/09/30 01:03:53  marcus
- fixed Requires

Revision 1.15  2001/07/18 01:49:46  kloczek
- updated to 2.0.3,
- added ac_fix.patch:
-- remove all stupid passing additional flags in CFLAGS (if someone want
   this please use $CFLAGS variable in configure environment),
-- use in proper way AM_INIT_AUTOMAKE() macro.
- regenerate ac/am files (now spec is ac 2.50 ready).

Revision 1.14  2001/05/22 00:45:37  kloczek
- updated to 2.0.2.

Revision 1.13  2001/05/17 20:25:45  kloczek
- updated to 2.0.1.
- added man pages and removed outdated man patch,
- fixed %prep.

Revision 1.12  2001/05/12 23:32:29  blues
- version 2.0.0
- man-patch added

Revision 1.11  2001/03/19 02:01:35  kloczek
- updated to 1.5.3.

Revision 1.10  2001/01/22 03:37:19  kloczek
- updated to 1.5.1.

Revision 1.9  2001/01/07 10:13:45  misiek
1.5.0

Revision 1.8  2000/12/22 14:12:22  kloczek
- updated to 1.4.6.

Revision 1.7  2000/08/28 18:38:43  kloczek
- updated to 1.4.5.

Revision 1.6  2000/07/23 15:01:22  kloczek
- updated to 1.4.4.

Revision 1.5  2000/06/09 07:22:46  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/05/17 21:01:20  kloczek
- spec adapterized.

Revision 1.3  2000/05/14 22:15:19  kloczek
- updated to 1.4.3.

Revision 1.2  2000/05/10 11:47:20  kloczek
- added Source url,
- cosmetics.

Revision 1.1  2000/05/09 23:05:27  wiget
- Gtk+ dialog replacement

Based on spec by Thierry Godefroy <xdialog@free.fr>
